Resume finished subscribers
curl --request POST \
--url https://app.zenedu.io/api/v1/bot/{bot}/products/{product}/subscribers/resume \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.zenedu.io/api/v1/bot/{bot}/products/{product}/subscribers/resume"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.zenedu.io/api/v1/bot/{bot}/products/{product}/subscribers/resume', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.zenedu.io/api/v1/bot/{bot}/products/{product}/subscribers/resume",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.zenedu.io/api/v1/bot/{bot}/products/{product}/subscribers/resume"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.zenedu.io/api/v1/bot/{bot}/products/{product}/subscribers/resume")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.zenedu.io/api/v1/bot/{bot}/products/{product}/subscribers/resume")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": 123,
"name": "<string>",
"type": "product",
"platform": "<string>",
"is_active": true,
"subscribers_count": 123,
"steps_count": 123,
"sections_count": 123,
"cover_url": "<string>",
"description": "<string>",
"restart_enabled": true,
"autodelete_steps_enabled": true,
"template_url": "<string>",
"template_url_enabled": true,
"folder_id": 123,
"bot_slug": "<string>",
"landing_slug": "<string>",
"link": "<string>",
"landing_link": "<string>",
"direct_subscription_access": true,
"created_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}Продукти
Відновити підписників, які завершили
Відновлює підписників, які пройшли продукт.
POST
/
api
/
v1
/
bot
/
{bot}
/
products
/
{product}
/
subscribers
/
resume
Resume finished subscribers
curl --request POST \
--url https://app.zenedu.io/api/v1/bot/{bot}/products/{product}/subscribers/resume \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.zenedu.io/api/v1/bot/{bot}/products/{product}/subscribers/resume"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.zenedu.io/api/v1/bot/{bot}/products/{product}/subscribers/resume', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.zenedu.io/api/v1/bot/{bot}/products/{product}/subscribers/resume",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.zenedu.io/api/v1/bot/{bot}/products/{product}/subscribers/resume"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.zenedu.io/api/v1/bot/{bot}/products/{product}/subscribers/resume")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.zenedu.io/api/v1/bot/{bot}/products/{product}/subscribers/resume")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": 123,
"name": "<string>",
"type": "product",
"platform": "<string>",
"is_active": true,
"subscribers_count": 123,
"steps_count": 123,
"sections_count": 123,
"cover_url": "<string>",
"description": "<string>",
"restart_enabled": true,
"autodelete_steps_enabled": true,
"template_url": "<string>",
"template_url_enabled": true,
"folder_id": 123,
"bot_slug": "<string>",
"landing_slug": "<string>",
"link": "<string>",
"landing_link": "<string>",
"direct_subscription_access": true,
"created_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}